@use "./dist/shared-lib/theme-mixins/footer-theme" as footer;
@use "./dist/shared-lib/theme-mixins/stepper-theme" as stepper;
@use "./dist/shared-lib/theme-mixins/workflow-panel-theme" as panel;

@use './themes/metaforge' as theme;
@use './themes/theme-mixins' as mixins;
@use '@angular/material' as mat;
// angular material core styles
// @use has to be called before @import
// angular material theme mixins and functions
// custom theme mixins
// custom theme
@import "../../../themes/metaforge.scss";
@import "~handsontable/dist/handsontable.full.css";

@include mat.core();

// adds tailwind, remember to add your project to the tailwind.config.js
// @tailwind base;
// @tailwind components;
// @tailwind utilities;

// custom theme
@import "../../../themes/metaforge.scss";

@import '~handsontable/dist/handsontable.full.css';

// Extract the active background color from the app's primary palette
$active-link-color: mat.m2-get-color-from-palette(theme.$mdoa-accent, 500);

:root {
  --active-link-bg-color: #{$active-link-color};
}

// applies angular material typography styles
@include mat.all-component-typographies();
// applies custom theme to angular material components
@include mat.all-component-themes($mdoa-theme);
// overrides styles of angular material components

// applies custom theme to custom component
@include footer.theme($mdoa-theme);
@include stepper.theme($mdoa-theme);
@include panel.theme($mdoa-theme);

// .nav-toolbar-root {
//   --background-color: black;
//   --font-color: white;
// }

// footer {
//   --background-color: black;
//   --font-color: white;
// }
// * {
//   --background-color: rgb(.rki-blue-bg);
//   --text-color: hsl(0, 2%, 92%);

//   text-align: left;
//   text-decoration: none;
//   font-family: Roboto, "Helvetica Neue", sans-serif;
//   font-size: 1rem;
//   color: var(--text-color) !important;
//   background-color: var(--background-color) !important;
// }

body {
  font-family: "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial",
    sans-serif;
  font-size: 14px;
  text-align: center;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
}
